Bug 219679 - [NEW PORT] databases/pg_repack: Reorganize tables in PostgreSQL databases with minimal locks
Summary: [NEW PORT] databases/pg_repack: Reorganize tables in PostgreSQL databases wit...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-31 10:37 UTC by Jov
Modified: 2017-07-06 10:11 UTC (History)
1 user (show)

See Also:


Attachments
pg_repack.shar (1.95 KB, text/plain)
2017-05-31 10:37 UTC, Jov
no flags Details
pg_repack.shar (2.09 KB, text/plain)
2017-07-06 02:51 UTC, Jov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-31 10:37:33 UTC
Created attachment 183093 [details]
pg_repack.shar

Pg_repack is a PostgreSQL extension which lets you remove bloat from tables and
indexes, and optionally restore the physical order of clustered indexes. Unlike
CLUSTER and VACUUM FULL it works online, without holding an exclusive lock on
the processed tables during processing. pg_repack is efficient to boot, with
performance comparable to using CLUSTER directly.

WWW: https://github.com/reorg/pg_repack
Comment 1 Torsten Zuehlsdorff freebsd_committer 2017-07-05 14:50:03 UTC
When executing make stage-qa i got this:

====> Running Q/A tests (stage-qa)
Warning: 'bin/pg_repack' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib/postgresql/pg_repack.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Error: /usr/local/bin/pg_repack is linked to /usr/local/lib/libpq.so.5 from databases/postgresql96-client but it is not declared as a dependency
Warning: you need USES+=pgsql

Can you please have a look at this?
Comment 2 Jov 2017-07-06 02:51:47 UTC
Created attachment 184102 [details]
pg_repack.shar

Add strip to binary and lib.
Comment 3 Jov 2017-07-06 02:56:21 UTC
(In reply to Torsten Zuehlsdorff from comment #1)
I fixed the strip warning.

For USE error, I think it is false negtive. You see USE=pgsql:9.2+ already there.

I meet similar problems for other ports too,like this for USE GCC:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220157
Comment 4 commit-hook freebsd_committer 2017-07-06 10:10:16 UTC
A commit references this bug:

Author: tz
Date: Thu Jul  6 10:10:08 UTC 2017
New revision: 445133
URL: https://svnweb.freebsd.org/changeset/ports/445133

Log:
  New port: databases/pg_repack

  Pg_repack is a PostgreSQL extension which lets you remove bloat from tables and
  indexes, and optionally restore the physical order of clustered indexes. Unlike
  CLUSTER and VACUUM FULL it works online, without holding an exclusive lock on
  the processed tables during processing. pg_repack is efficient to boot, with
  performance comparable to using CLUSTER directly.

  WWW: https://github.com/reorg/pg_repack

  PR:           219679
  Submitted by: Jov <amutu@amutu.com>

Changes:
  head/databases/Makefile
  head/databases/pg_repack/
  head/databases/pg_repack/Makefile
  head/databases/pg_repack/distinfo
  head/databases/pg_repack/pkg-descr
Comment 5 Torsten Zuehlsdorff freebsd_committer 2017-07-06 10:10:57 UTC
Committed, thanks! :)
Comment 6 Torsten Zuehlsdorff freebsd_committer 2017-07-06 10:11:24 UTC
Just as note: i also think that the USES warning is a false-positive.